tbb::flow::interface10::opencl_device Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends | List of all members
tbb::flow::interface10::opencl_device Class Reference

## Public Types
enum | : device_id_type { unknown = device_id_type( -2 ), host = device_id_type( -1 ) }
typedef size_t | device_id_type

## Public Member Functions
| opencl_device (cl_device_id d_id)
| opencl_device (cl_device_id cl_d_id, device_id_type device_id)
std::string | platform_profile () const
std::string | platform_version () const
std::string | platform_name () const
std::string | platform_vendor () const
std::string | platform_extensions () const
template<typename T >
void | info (cl_device_info i, T &t) const
std::string | version () const
int | major_version () const
int | minor_version () const
bool | out_of_order_exec_mode_on_host_present () const
bool | out_of_order_exec_mode_on_device_present () const
std::array< size_t, 3 > | max_work_item_sizes () const
size_t | max_work_group_size () const
bool | built_in_kernel_available (const std::string &k) const
std::string | built_in_kernels () const
std::string | name () const
cl_bool | available () const
cl_bool | compiler_available () const
cl_bool | linker_available () const
bool | extension_available (const std::string &ext) const
std::string | extensions () const
cl_device_type | type () const
std::string | vendor () const
cl_uint | address_bits () const
cl_device_id | device_id () const
cl_command_queue | command_queue () const
void | set_command_queue (cl_command_queue cmd_queue)
cl_platform_id | platform_id () const

## Friends
template<typename DeviceFilter >
class | opencl_factory
template<typename Factory >
class | opencl_memory
template<typename Factory >
class | opencl_program
template<typename T , typename Factory >
class | opencl_buffer
bool | operator== (opencl_device d1, opencl_device d2)

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2018 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.